Skip to main content
POST
/
sdk
/
{environmentId}
/
scan
/
websiteUrl
Scan a URL for potential malicious activity
curl --request POST \
  --url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/scan/websiteUrl \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://website-sample.com"
}
'
{
  "isMalicious": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json
url
string
required
Maximum string length: 255
Pattern: ^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$
Example:

"https://website-sample.com"

Response

Successful scan result

isMalicious
boolean | null

Indicates whether the scanned URL is potentially malicious. Returns null if scan is inconclusive.